APT, the Advanced Packaging Tool, is Debian's high-level package management system. It is also used by several other Linux-based and Debian-based operating systems.

learn more… | top users | synonyms (1)

1
vote
1answer
674 views

How to install specific version of sphinx via apt-get on Ubuntu precise?

I want to install a specific version of sphinx on my Ubuntu 12.04 LTS server. I'm using Chef but I think that's incidental to my question. I know generally one can do: apt-get install ...
1
vote
0answers
271 views

Failed to install Nginx from nginx.org, Debian apt preferences messed up?

I'm trying to install Nginx from the latest release on nginx.org However, the latest package is not picked up: $ apt-get install nginx Reading package lists... Done Building dependency tree ...
0
votes
4answers
532 views

Unable to install software using apt-get in Ubuntu Server

I'm trying to install some software in my Ubuntu Server 12.04 installation, but whenever I try to install it using apt-get or aptitude, I would usually get an error message like this: E: unable to ...
0
votes
1answer
46 views

Apt without ask at night remove some packages

Today i came to work, and found that some of my perl scripts on work server - do not run. The problem is that scripts can not find some libraries that need to work. However, just yesterday, these ...
0
votes
1answer
2k views

apt-get don't support https and can't install the necessery package to do it

On Linux 3.2.0-4-amd64 #1 SMP Debian 3.2.60-1+deb7u3 x86_64 I'm using Ansible (software to manage and configure machines) to install Passenger and copy the sources.list from another machine. To ...
0
votes
1answer
154 views

apt-get source: Unknown command “source”

Following this tutorial, I'm stuck a this line: $ apt-get source lighttpd Unknown command "source" aptitude 0.6.8.2 Why does my apt-get/aptitude does not support this command? I don't know if this ...
1
vote
2answers
770 views

Cannot install puppet because of unmet dependencies

I'm trying to install puppet on a fresh ubuntu 14.04 machine but I get the following error Some packages could not be installed. This may mean that you have requested an impossible situation or ...
1
vote
1answer
187 views

Trying to install rSync 3.x on debian 4 etch

Whenver i use the official debian source link, and run the apt-get install rsync Debian automatically install me the rsync version 2.6.9. I can confirm with the following command : rsync ...
1
vote
4answers
6k views

APT FATAL -> Failed to fork

I saw a lot of questions regarding this, but mine seems a little different. Here's what I receive: /etc/cron.weekly/apt-xapian-index: FATAL -> Failed to fork. run-parts: ...
0
votes
1answer
76 views

Ubuntu 12.04 production server upgrade

On a Ubuntu 12.04 webserver we´re sending a nigthly report about upgrades for this machine running a cron with upgrade in dry run apt-get update && upgrade --dry-run In past we created a ...
0
votes
0answers
240 views

Apt-get install removed packages

During a puppet run, ia32-libs was installed, this seems to have caused several packages to be uninstalled but I'm not sure why.. Can anyone shine any light on the matter? Here's the apt log entry: ...
0
votes
0answers
998 views

mysql-server : Depends: mysql-server-5.1 but it is not going to be installed

I want to install MySQL on Squeeze (Debian), but I get this error message from apt: mysql-server : Depends: mysql-server-5.1 but it is not going to be installed I have tried to use a different ...
1
vote
1answer
43 views

Make apt ignore a single recommendation

I'm looking to install owncloud, which has this recommendation line: Recommends: curl, exim4 | mail-transport-agent, php5-imagick, php5-apc, libreoffice-writer I want to install all of the ...
2
votes
1answer
1k views

Error when reinstalling apache2

I did an dist-upgrade on Debian Wheezy yesterday and got an error with syslog-nc-core. I found that i should try to reinstall it and tried but it ended with an error that apache2 isnt configured. I ...
-1
votes
1answer
196 views

debian LTS : how to keep packages up-to-date with last security fixes using apt

What's the best way to keep packages up-to-date (ie with the last security fixes) without worried about major version update ? For instance, apache2 for squeezeis is 2.2.16 ...
1
vote
1answer
449 views

Ubuntu: package installed, but files missing? [duplicate]

I have been playing around with the /etc/asterisk directory, installing the related pacakge (asterisk-config), removing it, removing the directory manually (just playing around to get the ...
0
votes
0answers
148 views

Broken apt trying to install Cassandra

While trying to install Cassandra on Ubuntu 13.10, the installation crashed and now I'm stuck with broken (?) apt-get. Here is the output of an apt-get install -f: Reading package lists... Done ...
0
votes
2answers
174 views

Prevent APT from overwriting custom files

My server runs a Java application that requires I replace a few java library files with ones I downloaded on my own. This has to do with JCE security extensions and isn't really relevant to my ...
0
votes
1answer
251 views

Renaming debian package

I'm trying to build a customized version of a nginx package for Debian/Ubuntu which had a different set of modules opposed to the default version. What would be the fastest way to modify the debian/ ...
1
vote
1answer
2k views

ubuntu 12.04 apt-get purge php5 doesn't seem to remove php5

I recently made the mistake of upgrading to php5.5 without reading more up on it. It obviously broke my install of apache2.2. I'm in the process of trying to downgrade back to php5.3 or preferable ...
0
votes
1answer
152 views

Install one package from Debian sid on Debian Wheezy?

I need the python-statsd which is only in Debian (sid). What are the steps to install this package under Debian Wheezy please ?
1
vote
1answer
957 views

Segmentation fault during apt-get install

$ apt-get install openssh-server fails with Segmentation fault when it attempts to generate keys. This leaves me with a half-complete installation, but the binaries are in place. I also notice that ...
0
votes
1answer
161 views

Command to auto-update apt sources.list in Debian

Is there a command in Debian that I can run that will update my sources.list file to the best possible servers? I maintain a number of Debian servers, and I've found one of the mirrors has gone ...
0
votes
1answer
173 views

Export apt package list for reuse (debian)

Is it possible to export a list of packages from a (Debian) server, so I can reuse this list and simply hit apt-get install <exported_package_list> on a different server? Can I also pipe a ...
-5
votes
1answer
75 views

Get rid of the ubuntu thing that suggests what packages you should install [closed]

I'm finding myself in the unfortunate place of using Ubuntu as a server OS and its tendency to suggest what packages I should install and how to install them when a program I enter in the shell isn't ...
1
vote
1answer
139 views

Apt-dater: Keep specific packages from updating

I am using Apt-dater to manage updating of Ubuntu servers. I have some packages that cannot be updated but want to still update everything else on those servers. I wonder if Apt-dater supports this. ...
1
vote
1answer
644 views

Notifying apt module “apt_update” from custom puppet module

I'm trying to configure APT to not install recommended packages. I'm using puppetforge puppetlabs/apt module so I wish to notify the Exec['apt_update'] resource from that module. I'm using this: ...
0
votes
1answer
269 views

How to use specific apt repository

I'm trying to install imagemagick package from my own repository. Here is my step-by-step: I created apt repository using reprepro utility with conf: Origin: custom-repo.s3.amazonaws.com Label: ...
0
votes
1answer
2k views

stop an apt-get upgrade

I was trying to upgrade just a single package, so I typed sudo apt-get upgrade packagename. (Now I know I'm supposed to use apt-get install for that.) Now apt-get is upgrading everything in my whole ...
-3
votes
1answer
26 views

Is there anyway to specify the version of kernel update with apt-get? Debian 7 [closed]

Is possible to select the version of Kernel I need in apt-get? Actually, I need to update it but I had lot of configurations problems with 3.2. Or the only way is compiling the kernel? Thank you
-1
votes
1answer
3k views

Bash script to install packages and report to log file [closed]

I want to be able to log result of running bash script to file. Script itself is pretty simple, its used to install basic packages on fresh install machines and it scheme looks like this sudo apt-get ...
2
votes
2answers
4k views

Wrong version of pg_dump on Ubuntu

I originally installed postgres 9.2 on Ubuntu and later upgraded to 9.3 according to the instructions here: http://www.postgresql.org/download/linux/ubuntu/ (using the postgres apt repository). ...
1
vote
1answer
4k views

apt-get on aws won't install zip

I'm running Ubuntu 12.10 (GNU/Linux 3.5.0-21-generic i686) on AWS. When I try and install unzip I get the following errors: sudo apt-get install unzip Reading package lists... Done Building ...
1
vote
1answer
536 views

apt warnings with HP SDR/MCP repo on Ubuntu

I'm using the HP SDR system (MCP specifically) for Linux packages to manage the HP hardware RAID, iLo, etc. The kernel drivers for the hardware are upstream, so these are just management utilities. ...
0
votes
1answer
704 views

phpmyadmin have unmet dependencies

I use debian 6.0.6, before I install phpmyadmin, I install this: apt-get update && apt-get -y install apache2 apache2-doc autoconf automake \ bison ca-certificates ethtool flex g++ gcc ...
0
votes
2answers
92 views

updating, upgrading debian linux server except a package

I was looking for a command line to update/upgrade my VPS with the exception of the web server software. I have Nginx v.1.4.7 on my VPS and don't want it to get updated/upgraded when I run any ...
0
votes
2answers
73 views

How to install package from aptitude which requires another package manually installed?

Imagine situation when you install for example openssl package like this (manually): wget http://openssl.org/source/openssl-1.0.1h.tar.gz tar -xvf openssl-1.0.1h.tar.gz cd openssl-1.0.1h ./config ...
2
votes
0answers
3k views

Ubuntu 12.04/14.04 - apt-get 404 Not Found [IP: local-dns-server-ip 80] through proxy

I am trying to setup an ubuntu server (12.04 or 14.04) and have installed the server image onto the system I am using. Everything works fine until I try to run sudo apt-get update. When this runs, I ...
1
vote
0answers
153 views

Ubuntu : apt-get command error

I work with Ubuntu 10.04 everyday. Several days ago, when I release command sudo apt-get install .... it run very good, no error. I also able to open websites with my browser with no proxy. But, ...
2
votes
0answers
457 views

Debian: how to install a 64 bit package using apt?

I am migrating my system to 64 bit and the debian wiki suggests to first debootstrap a 64bit into a directory, then collect all 64bit packages and install them but this doesn't work. To install 64bit ...
1
vote
1answer
2k views

Running dist-upgrade fails on installation of 'startpar'

I'm trying to run dist-upgrade on Debian 6 but it fails on installation of startpar with: dpkg: considering deconfiguration of sysvinit-utils, which would be broken by installation of startpar ... ...
0
votes
2answers
1k views

apt-get not getting latest version on some servers

I've got Percona DB 5.6 on several Ubuntu 12.04 servers. On a few of them, I've been able to successfully upgrade to the latest version (5.6.17) using apt-get update apt-get upgrade On several ...
1
vote
1answer
170 views

Mirroring apt repository over ssh

We have a apt repository running to distribute upgrades for our software. The repository is accessed over ssh and a public key authentication: deb ssh://repo.server.com/dist stable As the download ...
3
votes
2answers
5k views

debian wheezy, heartbleed, openssl refuses to update

I am having a strange problem, my system is exposed to heartbleed, and I am trying to fix it by using: apt-get clean, apt-get update and apt-get upgrade openssl but the response is: Reading ...
0
votes
1answer
3k views

oneric-security apt source is missing?

On apt-get on a 11.10 machine i'm getting: W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/oneiric-security/main/source/Sources 404 Not Found [IP: 91.189.91.14 80] W: Failed to fetch ...
0
votes
0answers
39 views

apt/maven/npm checksum failure on amazon ec2

I'm recently encountering multiple download checksum failures when booting ec2 machine. This manifests itself with sporadic failures of apt, maven and npm installs. In one case that the pom checksum ...
1
vote
1answer
155 views

How to tell when apt-get upgrade or apt-get dist-upgrade was last run

Is there a clean way to detect when apt-get upgrade or apt-get dist-upgrade was last run on an Ubuntu Server? If there isn't a way to do this by default, where would be the best place to modify a ...
5
votes
2answers
184 views

Enforcing apt-get version continuity on Ubuntu

How do I make sure that when I run apt-get update, apt-get upgrade on 2 different servers at different times, that I will get the same packages? How do I autotmate/enforce this? The (simplified) use ...
1
vote
1answer
791 views

How to automate cleanup of config files from past pkgs as reported by “dpkg -l | grep ^rc”

There are a number of pkgs that weren't removed with "apt-get purge" and I would like to automate cleaning them up. You can't apt-get purge apache2.2-common because the pkg is already removed. You ...
1
vote
2answers
1k views

Ubuntu Trusty on EC2 - apt-upgrade with 403 forbidden

When I run apt-get upgrade, I'm getting this error: 1 upgraded, 0 newly installed, 0 to remove and 73 not upgraded. Need to get 413 kB of archives. After this operation, 0 B of additional disk space ...